replaceStyle {openxlsx} | R Documentation

## Replace an existing cell style

### Description

Replace an existing cell style

Replace a style object

### Usage

    replaceStyle(wb, index, newStyle)

### Arguments

`wb` | A workbook object
`index` | Index of style object to replace
`newStyle` | A style to replace the existing style as position index

### Author(s)

Alexander Walker

### See Also

`getStyles`

### Examples

    ## load a workbook
    wb <- loadWorkbook(file = system.file("loadExample.xlsx", package = "openxlsx"))

    ## create a new style and replace style 2

    newStyle <- createStyle(fgFill = "#00FF00")

    ## replace style 2
    getStyles(wb)[1:3] ## prints styles
    replaceStyle(wb, 2, newStyle = newStyle)

    ## Save workbook
    saveWorkbook(wb, "replaceStyleExample.xlsx", overwrite = TRUE)

[Package openxlsx version 4.1.0 Index]